Debian Bug report logs - #612715
wpasupplicant: Remove dep to libpcsclite1

version graph

Package: wpasupplicant; Maintainer for wpasupplicant is Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>; Source for wpasupplicant is src:wpa.

Reported by: Salvo Tomaselli <tiposchi@tiscali.it>

Date: Thu, 10 Feb 2011 07:18:01 UTC

Severity: normal

Merged with 583671

Found in version wpasupplicant/0.6.10-2.1

Fixed in version wpasupplicant/0.7.3-1

Done: Kel Modderman <kel@otaku42.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>:
Bug#612715; Package wpasupplicant. (Thu, 10 Feb 2011 07:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvo Tomaselli <tiposchi@tiscali.it>:
New Bug report received and forwarded. Copy sent to Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>. (Thu, 10 Feb 2011 07:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Salvo Tomaselli <tiposchi@tiscali.it>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: wpasupplicant: Remove dep to libpcsclite1
Date: Thu, 10 Feb 2011 08:15:06 +0100
Package: wpasupplicant
Version: 0.6.10-2.1
Severity: normal

Greetings,

I can't understand why wpasupplicant should depend on a library
to use smart card readers.
If in some very very rare configurations that is used, then it
could be suggested or recommended but since wpasupplicant works
without this library, it should not depend on it.

> The Depends field should be used if the depended-on package is required for
> the depending package to provide a significant amount of functionality.
http://www.debian.org/doc/debian-policy/ch-relationships.html


Also i think it can be very confusing for non so expert users
to be prompted a question asking to which serial port the reader
is plugged and a selection allowing ttyS* to be chosen, when they have
no smart card reader and no clue what apt is talking about.

Regards

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'experimental'), (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.35.8-venere (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=it_IT.UTF-8, LC_CTYPE=it_IT.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages wpasupplicant depends on:
ii  adduser                       3.112+nmu2 add and remove users and groups
ii  libc6                         2.11.2-11  Embedded GNU C Library: Shared lib
ii  libdbus-1-3                   1.4.1-2    simple interprocess messaging syst
ii  libnl1                        1.1-6      library for dealing with netlink s
ii  libpcsclite1                  1.6.6-2    Middleware to access a smart card 
ii  libreadline6                  6.1-3      GNU readline and history libraries
ii  libssl0.9.8                   0.9.8o-4   SSL shared libraries
ii  lsb-base                      3.2-27     Linux Standard Base 3.2 init scrip

wpasupplicant recommends no packages.

Versions of packages wpasupplicant suggests:
pn  libengine-pkcs11-openssl      <none>     (no description available)
pn  wpagui                        <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>:
Bug#612715; Package wpasupplicant. (Thu, 10 Feb 2011 19:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>. (Thu, 10 Feb 2011 19:09:03 GMT) Full text and rfc822 format available.

Message #10 received at 612715@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 612715@bugs.debian.org
Cc: Salvo Tomaselli <tiposchi@tiscali.it>, Ludovic Rousseau <rousseau@debian.org>
Subject: Re: Bug#612715: wpasupplicant: Remove dep to libpcsclite1
Date: Thu, 10 Feb 2011 20:06:25 +0100
On 2011-02-10 08:15 +0100, Salvo Tomaselli wrote:

> Package: wpasupplicant
> Version: 0.6.10-2.1
> Severity: normal
>
> Greetings,
>
> I can't understand why wpasupplicant should depend on a library
> to use smart card readers.
> If in some very very rare configurations that is used, then it
> could be suggested or recommended but since wpasupplicant works
> without this library, it should not depend on it.
>
>> The Depends field should be used if the depended-on package is required for
>> the depending package to provide a significant amount of functionality.
> http://www.debian.org/doc/debian-policy/ch-relationships.html
>
>
> Also i think it can be very confusing for non so expert users
> to be prompted a question asking to which serial port the reader
> is plugged and a selection allowing ttyS* to be chosen, when they have
> no smart card reader and no clue what apt is talking about.

For those who don't understand this sentence, libpcsclite1 in sid now
depends on pcscd (which in turn depends on the not-so-welcome hal).
This is the real problem IMO; I don't care about small library packages
as long as they don't drag in random daemons.

Regards,
        Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>:
Bug#612715; Package wpasupplicant. (Thu, 10 Feb 2011 21:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ludovic Rousseau <rousseau.list@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>. (Thu, 10 Feb 2011 21:06:03 GMT) Full text and rfc822 format available.

Message #15 received at 612715@bugs.debian.org (full text, mbox):

From: Ludovic Rousseau <rousseau.list@free.fr>
To: Salvo Tomaselli <tiposchi@tiscali.it>
Cc: 612715@bugs.debian.org
Subject: Re: wpasupplicant: Remove dep to libpcsclite1
Date: Thu, 10 Feb 2011 22:03:43 +0100
Le 10/02/11 08:15, Salvo Tomaselli a écrit :
> Package: wpasupplicant
> Version: 0.6.10-2.1
> Severity: normal
>
> Greetings,
>
> I can't understand why wpasupplicant should depend on a library
> to use smart card readers.
> If in some very very rare configurations that is used, then it
> could be suggested or recommended but since wpasupplicant works
> without this library, it should not depend on it.
>
>> The Depends field should be used if the depended-on package is required for
>> the depending package to provide a significant amount of functionality.
> http://www.debian.org/doc/debian-policy/ch-relationships.html

wpasupplicant is linked against libpcsclite.so.1 so it must Depends: on it.

The best solution would be to change wpasupplicant to only use 
libpcsclite.so.1 if needed or available using a dynamic loading at 
runtime using dlopen().
libpcsclite1 would then just be a Suggests:

If this solution could be pushed upstream that would be great.
I have a patch for that in http://bugs.debian.org/531592

> Also i think it can be very confusing for non so expert users
> to be prompted a question asking to which serial port the reader
> is plugged and a selection allowing ttyS* to be chosen, when they have
> no smart card reader and no clue what apt is talking about.

libccid also contains a driver for a serial reader. I think I will just 
remove it from the libccid package and then also remove the debconf 
question about the serial port.
Thanks for noticing the problem.

Regards,

-- 
 Dr. Ludovic Rousseau




Information forwarded to debian-bugs-dist@lists.debian.org, Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>:
Bug#612715; Package wpasupplicant. (Thu, 10 Feb 2011 21:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ludovic Rousseau <rousseau.list@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>. (Thu, 10 Feb 2011 21:33:03 GMT) Full text and rfc822 format available.

Message #20 received at 612715@bugs.debian.org (full text, mbox):

From: Ludovic Rousseau <rousseau.list@free.fr>
To: Salvo Tomaselli <tiposchi@tiscali.it>
Cc: 612715@bugs.debian.org
Subject: Re: wpasupplicant: Remove dep to libpcsclite1
Date: Thu, 10 Feb 2011 22:29:37 +0100
Le 10/02/11 22:03, Ludovic Rousseau a écrit :
>> Also i think it can be very confusing for non so expert users
>> to be prompted a question asking to which serial port the reader
>> is plugged and a selection allowing ttyS* to be chosen, when they have
>> no smart card reader and no clue what apt is talking about.
>
> libccid also contains a driver for a serial reader. I think I will just
> remove it from the libccid package and then also remove the debconf
> question about the serial port.
> Thanks for noticing the problem.

I checked and libccid does not have a debconf question in fact.

Do you remember what package was the source of question about the serial 
port?

Thanks

-- 
 Dr. Ludovic Rousseau




Information forwarded to debian-bugs-dist@lists.debian.org, Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>:
Bug#612715; Package wpasupplicant. (Fri, 11 Feb 2011 00:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Stefan Lippers-Hollmann" <s.L-H@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>. (Fri, 11 Feb 2011 00:36:03 GMT) Full text and rfc822 format available.

Message #25 received at 612715@bugs.debian.org (full text, mbox):

From: "Stefan Lippers-Hollmann" <s.L-H@gmx.de>
To: pkg-wpa-devel@lists.alioth.debian.org, 612715@bugs.debian.org
Cc: Sven Joachim <svenjoac@gmx.de>, Ludovic Rousseau <rousseau@debian.org>, Salvo Tomaselli <tiposchi@tiscali.it>
Subject: Re: [pkg-wpa-devel] Bug#612715: wpasupplicant: Remove dep to libpcsclite1
Date: Fri, 11 Feb 2011 01:33:08 +0100
Hi

On Friday 11 February 2011, Sven Joachim wrote:
> On 2011-02-10 08:15 +0100, Salvo Tomaselli wrote:
> 
> > Package: wpasupplicant
> > Version: 0.6.10-2.1
> > Severity: normal
> >
> > Greetings,
> >
> > I can't understand why wpasupplicant should depend on a library
> > to use smart card readers.
> > If in some very very rare configurations that is used, then it
> > could be suggested or recommended but since wpasupplicant works
> > without this library, it should not depend on it.
> >
> >> The Depends field should be used if the depended-on package is required for
> >> the depending package to provide a significant amount of functionality.
> > http://www.debian.org/doc/debian-policy/ch-relationships.html
> >
> >
> > Also i think it can be very confusing for non so expert users
> > to be prompted a question asking to which serial port the reader
> > is plugged and a selection allowing ttyS* to be chosen, when they have
> > no smart card reader and no clue what apt is talking about.
> 
> For those who don't understand this sentence, libpcsclite1 in sid now
> depends on pcscd (which in turn depends on the not-so-welcome hal).
> This is the real problem IMO; I don't care about small library packages
> as long as they don't drag in random daemons.

After a short coordination with Kel, we've decided to disable PCSC in
the next wpasupplicant upload, which allows to drop the dependency on
libpcsclite1 and therefore indirectly on hal. Of course the better 
solution would be to dlopen() it, but smartcard support through the
PC/SC-Daemon appears to be rare enough to disable it, until anyone
really cares enough about PC/SC to implement it that way.

I've committed the according changes to the packaging Vcs (pkg-wpa, 
svnr1570) and it will take effect with the next wpasupplicant upload 
(no hard ETA, yet).

Regards
	Stefan Lippers-Hollmann




Forcibly Merged 583671 612715. Request was from Josh Triplett <josh@joshtriplett.org> to control@bugs.debian.org. (Fri, 11 Feb 2011 20:30:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>:
Bug#612715; Package wpasupplicant. (Fri, 04 Mar 2011 16:15:58 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>. (Fri, 04 Mar 2011 16:15:58 GMT) Full text and rfc822 format available.

Message #32 received at 612715@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: "Stefan Lippers-Hollmann" <s.L-H@gmx.de>
Cc: 612715@bugs.debian.org, pkg-wpa-devel@lists.alioth.debian.org, Sven Joachim <svenjoac@gmx.de>, Ludovic Rousseau <rousseau@debian.org>, Salvo Tomaselli <tiposchi@tiscali.it>, 612971@bugs.debian.org
Subject: Re: Bug#612715: [pkg-wpa-devel] Bug#612715: wpasupplicant: Remove dep to libpcsclite1
Date: Fri, 04 Mar 2011 17:00:45 +0100
[Message part 1 (text/plain, inline)]
Hi there!

On Fri, 11 Feb 2011 01:33:08 +0100, Stefan Lippers-Hollmann wrote:
> On Friday 11 February 2011, Sven Joachim wrote:
>> On 2011-02-10 08:15 +0100, Salvo Tomaselli wrote:
>> > I can't understand why wpasupplicant should depend on a library
>> > to use smart card readers.
[...]
>> For those who don't understand this sentence, libpcsclite1 in sid now
>> depends on pcscd (which in turn depends on the not-so-welcome hal).
>> This is the real problem IMO; I don't care about small library packages
>> as long as they don't drag in random daemons.
>
> After a short coordination with Kel, we've decided to disable PCSC in
> the next wpasupplicant upload, which allows to drop the dependency on
> libpcsclite1 and therefore indirectly on hal.

Which is the real culprit: why do libpcsclite1 depend on pcscd?  This is
#612971 (cc:ed), and I do not understand why it should be fixed on
wpasupplicant side.

libpcsclite1 depending on pcscd now brings hal, but then in future it
will bring whatever pcscd depends on, which is a bit strange for a
library.  While I am not a library expert and I understand libpcsclite1
is useless without pcscd, still I do not see why a library depends on a
daemon to be *installed*.  And what if someone writes another daemon
different than pcscd, but still for PC/SC communication through
libpcsclite1?

> Of course the better solution would be to dlopen() it, but smartcard
> support through the PC/SC-Daemon appears to be rare enough to disable
> it, until anyone really cares enough about PC/SC to implement it that
> way.

Please note that this is another bug, independent of the dependency (no
pun intended), to which Ludovic already commented on, and he actually
provided the patch, both in the Debian BTS and upstream:

  <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=612715#15>
  <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=531592#10>
  <http://w1.fi/bugz/show_bug.cgi?id=315>

Unfortunately, the upstream bug is open for now more than a year and a
half, without any reply from upstream authors.
  
> I've committed the according changes to the packaging Vcs (pkg-wpa, 
> svnr1570) and it will take effect with the next wpasupplicant upload 
> (no hard ETA, yet).

Please, if you think something must be done on wpasupplicant side,
please upload a fixed package ASAP, given that this has a side effect of
having HAL where it is not needed (anymore).  FYI, I added wpasupplicant
to the list of packages that need to be fixed for HAL removal:

  <https://wiki.debian.org/HALRemoval?action=diff&rev1=100&rev2=101>

Thx, bye,
Gismo / Luca
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>:
Bug#612715; Package wpasupplicant. (Sun, 06 Mar 2011 09:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ludovic Rousseau <ludovic.rousseau@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>. (Sun, 06 Mar 2011 09:45:09 GMT) Full text and rfc822 format available.

Message #37 received at 612715@bugs.debian.org (full text, mbox):

From: Ludovic Rousseau <ludovic.rousseau@gmail.com>
To: Luca Capello <luca@pca.it>, 612971@bugs.debian.org
Cc: Stefan Lippers-Hollmann <s.L-H@gmx.de>, 612715@bugs.debian.org, pkg-wpa-devel@lists.alioth.debian.org, Sven Joachim <svenjoac@gmx.de>, Ludovic Rousseau <rousseau@debian.org>, Salvo Tomaselli <tiposchi@tiscali.it>
Subject: Re: Bug#612971: Bug#612715: [pkg-wpa-devel] Bug#612715: wpasupplicant: Remove dep to libpcsclite1
Date: Sun, 06 Mar 2011 10:43:29 +0100
Le 04/03/11 17:00, Luca Capello a écrit :
> Hi there!
>
> On Fri, 11 Feb 2011 01:33:08 +0100, Stefan Lippers-Hollmann wrote:
>> On Friday 11 February 2011, Sven Joachim wrote:
>>> On 2011-02-10 08:15 +0100, Salvo Tomaselli wrote:
>>>> I can't understand why wpasupplicant should depend on a library
>>>> to use smart card readers.
> [...]
>>> For those who don't understand this sentence, libpcsclite1 in sid now
>>> depends on pcscd (which in turn depends on the not-so-welcome hal).
>>> This is the real problem IMO; I don't care about small library packages
>>> as long as they don't drag in random daemons.
>>
>> After a short coordination with Kel, we've decided to disable PCSC in
>> the next wpasupplicant upload, which allows to drop the dependency on
>> libpcsclite1 and therefore indirectly on hal.
>
> Which is the real culprit: why do libpcsclite1 depend on pcscd?  This is
> #612971 (cc:ed), and I do not understand why it should be fixed on
> wpasupplicant side.

Previous versions libpcsclite1 (pre 1.6.0 versions) only had a Suggests: 
pcscd

This has been changed to a Depends: in [1].

[1] 
http://svn.debian.org/viewsvn/collab-maint/deb-maint/pcsc-lite/trunk/debian/control?view=diff&r1=16127&r2=16128


I think having a Recommends: instead of Depends: is the correct 
solution. The pcscd package will be installed automatically in most 
cases and can be removed if needed. The Depends: is too strong and not 
needed.

> libpcsclite1 depending on pcscd now brings hal, but then in future it
> will bring whatever pcscd depends on, which is a bit strange for a
> library.  While I am not a library expert and I understand libpcsclite1
> is useless without pcscd, still I do not see why a library depends on a
> daemon to be *installed*.  And what if someone writes another daemon
> different than pcscd, but still for PC/SC communication through
> libpcsclite1?

pcscd and libpcsclite1 are two parts of the same project. The source 
package is pcsc-lite. They use an ad-hoc protocol to communicate. I do 
not think a concurrent libpcsclite1 will ever exist :-)

Bye,

-- 
 Dr. Ludovic Rousseau




Information forwarded to debian-bugs-dist@lists.debian.org, Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>:
Bug#612715; Package wpasupplicant. (Mon, 07 Mar 2011 10:34:35 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>. (Mon, 07 Mar 2011 10:34:35 GMT) Full text and rfc822 format available.

Message #42 received at 612715@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: Ludovic Rousseau <rousseau@debian.org>
Cc: 612971@bugs.debian.org, Stefan Lippers-Hollmann <s.L-H@gmx.de>, 612715@bugs.debian.org, Sven Joachim <svenjoac@gmx.de>, Ludovic Rousseau <rousseau@debian.org>, Salvo Tomaselli <tiposchi@tiscali.it>
Subject: Re: Bug#612971: Bug#612715: [pkg-wpa-devel] Bug#612715: wpasupplicant: Remove dep to libpcsclite1
Date: Mon, 07 Mar 2011 11:06:58 +0100
[Message part 1 (text/plain, inline)]
Hi there!

On Sun, 06 Mar 2011 10:43:29 +0100, Ludovic Rousseau wrote:
> Le 04/03/11 17:00, Luca Capello a écrit :
>> Which is the real culprit: why do libpcsclite1 depend on pcscd?  This is
>> #612971 (cc:ed), and I do not understand why it should be fixed on
>> wpasupplicant side.
>
> Previous versions libpcsclite1 (pre 1.6.0 versions) only had a
> Suggests: pcscd
>
> This has been changed to a Depends: in [1].
>
> [1]
> http://svn.debian.org/viewsvn/collab-maint/deb-maint/pcsc-lite/trunk/debian/control?view=diff&r1=16127&r2=16128
>
>
> I think having a Recommends: instead of Depends: is the correct
> solution. The pcscd package will be installed automatically in most
> cases and can be removed if needed. The Depends: is too strong and not
> needed.

+1 :-)

>> And what if someone writes another daemon different than pcscd, but
>> still for PC/SC communication through libpcsclite1?
>
> pcscd and libpcsclite1 are two parts of the same project. The source
> package is pcsc-lite. They use an ad-hoc protocol to communicate. I do
> not think a concurrent libpcsclite1 will ever exist :-)

Yeah, my question above was a bit of un-realistic...

Thx, bye,
Gismo / Luca
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Kel Modderman <kel@otaku42.de>:
You have taken responsibility. (Wed, 09 Mar 2011 14:12:18 GMT) Full text and rfc822 format available.

Notification sent to Salvo Tomaselli <tiposchi@tiscali.it>:
Bug acknowledged by developer. (Wed, 09 Mar 2011 14:12:19 GMT) Full text and rfc822 format available.

Message #47 received at 612715-close@bugs.debian.org (full text, mbox):

From: Kel Modderman <kel@otaku42.de>
To: 612715-close@bugs.debian.org
Subject: Bug#612715: fixed in wpasupplicant 0.7.3-1
Date: Wed, 09 Mar 2011 14:08:47 +0000
Source: wpasupplicant
Source-Version: 0.7.3-1

We believe that the bug you reported is fixed in the latest version of
wpasupplicant, which is due to be installed in the Debian FTP archive:

wpagui_0.7.3-1_i386.deb
  to main/w/wpasupplicant/wpagui_0.7.3-1_i386.deb
wpasupplicant_0.7.3-1.debian.tar.gz
  to main/w/wpasupplicant/wpasupplicant_0.7.3-1.debian.tar.gz
wpasupplicant_0.7.3-1.dsc
  to main/w/wpasupplicant/wpasupplicant_0.7.3-1.dsc
wpasupplicant_0.7.3-1_i386.deb
  to main/w/wpasupplicant/wpasupplicant_0.7.3-1_i386.deb
wpasupplicant_0.7.3.orig.tar.gz
  to main/w/wpasupplicant/wpasupplicant_0.7.3.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 612715@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Kel Modderman <kel@otaku42.de> (supplier of updated wpasupplicant package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 08 Mar 2011 22:02:17 +1000
Source: wpasupplicant
Binary: wpasupplicant wpagui
Architecture: source i386
Version: 0.7.3-1
Distribution: experimental
Urgency: low
Maintainer: Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>
Changed-By: Kel Modderman <kel@otaku42.de>
Description: 
 wpagui     - graphical user interface for wpa_supplicant
 wpasupplicant - client support for WPA and WPA2 (IEEE 802.11i)
Closes: 531592 570688 582793 582917 583671 591371 606051 612715 612842 617199
Changes: 
 wpasupplicant (0.7.3-1) experimental; urgency=low
 .
   [ Kel Modderman ]
   * ACK NMU (Closes: #582917) and integrate changelog.
   * New upstream release (Closes: #591371).
     - nl80211 driver interface doesn't use WEXT compat layer
       (Closes: #570688)
   * Adjust debian/watch for 0.7.X series of upstream.
   * Drop patches applied upstream:
     - 11_syslog.patch
     - 18_wpa_gui_wps_ap_avail_annoyance.patch
     - 20_wpa_msg_ctrl_wps.patch
     - 21_kfreebsd.patch
     - 30_cfg80211_association_optimisation.patch
   * Refresh patch series and merge with new upstream.
   * Change build configuration:
     - remove all comments from our config
     - enable new D-Bus interface
     - disable experimental feature CONFIG_EAP_PSK
     - enable CONFIG_AP, which allows hostapd-like functionality
   * Install D-Bus service activation file for new interface.
   * Set default driver type to nl80211,wext in ifupdown glue.
   * Remove duplicate handling of wpa-mode in ifupdown/functions.sh.
   * Add support for scan_freq and freq_list in ifupdown/functions.sh.
   * Install pm-utils action script to notify wpa_supplicant of susepnd
     and resume events.
   * Remove pm-utils stuff from debian/ifupdown/action_wpa.sh.
   * Remove sleep loops which wait for creation of interface specific
     control sockets, these are now created before the process is
     backgrounded (http://w1.fi/bugz/show_bug.cgi?id=283).
   * After a disconnected event, attempt to reassociate to a network
     when using wpa-roam.
   * Add statement to debian/copyright about our choice to distribute
     this software under BSD license and link with openssl.
   * Override lintian in the case of possible-gpl-code-linked-with-
     openssl.
   * Establish control interface when D-Bus activated wpa_supplicant
     daemon starts. (Closes: #606051)
   * Update all patches with DEP-3 compliant header information.
   * Cherry pick upstream commit which fixes up emission of change events
     over D-bus. (Closes: #617199)
   * Add patch to load libpcsclite1 via dlopen(), making pcsc support
     optional. (Closes: #612842, #612715, #583671, #531592)
   * Set build config option CONFIG_PCSC=dyn to use above mentioned feature.
   * Add patch to wpa_gui to use KDE's KNotify when running under KDE.
     (Closes: #582793)
   * Adjust versioned debhelper build-depends to (>> 8).
   * Use architecture wildcards in debian/control.
   * Adjust wpagui versioned dependency on wpasupplicant to >= 0.7.3 to
     make sure all new UI features are supported.
 .
   [ Stefan Lippers-Hollmann ]
   * Add myself to uploaders.
   * Bump policy version to 3.9.1:
     - Include full text of the employed BSD license variant and no longer
       refer to Debian's common license template.
   * Bump compat level to 8 and debhelper build-depends to >= 7.9.3~
     accordingly, retaining backportability for squeeze (plain lenny isn't an
     option due to simplified dh7 usage).
   * Refresh patch series and merge with new upstream (0.7.3).
   * Drop patches applied upstream:
     - patches/10_wpa_gui_qt4_network_id_qregexp.patch
     - patches/11_wpa_supplicant_enable_network_tweak.patch
   * update machine readable debian/copyright to be compatible with DEP5 r135.
   * initial update of existing debian/copyright entries.
Checksums-Sha1: 
 4868c37cd0a6349ec9547e4825ab6fc3a3cf47f8 2186 wpasupplicant_0.7.3-1.dsc
 ca51db8931fabf386352c87422f3e62fb44c3fe3 1638224 wpasupplicant_0.7.3.orig.tar.gz
 45d6778fe05860ef78d4fc5ec4df5ce7f6f1beeb 61990 wpasupplicant_0.7.3-1.debian.tar.gz
 f1c5c4362e5edb0ff8637ebb9bb16d2b9a58772d 490024 wpasupplicant_0.7.3-1_i386.deb
 b7f7c7c53d09604e8c7af1cd7df4b52a7e161758 322226 wpagui_0.7.3-1_i386.deb
Checksums-Sha256: 
 ebf5a64466137a66d63859bac664652381ab50f021fdc7d1c442846d3a03e115 2186 wpasupplicant_0.7.3-1.dsc
 d0cd50caa85346ccc376dcda5ed3c258eef19a93b3cade39d25760118ad59443 1638224 wpasupplicant_0.7.3.orig.tar.gz
 c8cc133bdac57777ac45876695caaea62cc49c9e5f7f39a64e295171aab40e71 61990 wpasupplicant_0.7.3-1.debian.tar.gz
 6074b3e7f098ca8c2e11d435d5e0f9424dffbd70777459b31e85a1a462445a33 490024 wpasupplicant_0.7.3-1_i386.deb
 33b416a9aa786c81833a61943b4be6f4549f268273f216700b03958bcef08876 322226 wpagui_0.7.3-1_i386.deb
Files: 
 d13dacd3e96dcfaf1f0c22a28dc48d69 2186 net optional wpasupplicant_0.7.3-1.dsc
 f516f191384a9a546e3f5145c08addda 1638224 net optional wpasupplicant_0.7.3.orig.tar.gz
 b2787f29504b9d1fddf5c987cb981283 61990 net optional wpasupplicant_0.7.3-1.debian.tar.gz
 bba8982ef36275f088354216a2be956d 490024 net optional wpasupplicant_0.7.3-1_i386.deb
 b21e813eec5758d968c3a4dfdfe4f6c0 322226 net optional wpagui_0.7.3-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJNd1LxAAoJEGrh3w1gjyLcRA4P/jycjP2uzEd6+19iTsRyJ/55
mUdYkhtJztL0CUz3kDMjqHUPauCvVJe3A+8m/V4KLZSGahWumkYAI99zsKLG5Kxq
ZrNWbM/j21R0zp6VT3MiYXyK7kS7367X+pGqV9IAITwTOvs9mVKEia7qmCXD33Ar
NWIvg33LcBMZyf43yeqCBFH4uEsvydGbYrvZ0x39wih+tln7KU0DQbnfSx3AK1Au
XuHVRlzyGl2NjGeBwhPOKhTcMgCA9wVzBDXWZlSG/38roHmel+XyO2E/Y6ohhmNl
KK4p7P488dVwS0qANiH61srwCGnNzIOSKV6lGYJ4ZElc1j/GuAQZ5RxyPdRZxRkI
P3qa2ahfn5wjSInVJAXVX5EzsP99iv3cwJn55aFXFXQrbqJviMOf3cXQ4Kg8nkHm
/Tw7/4bEeN83pkSgCl16hTWsF0xiQ5Z4YRLsVytC6GEVYM26nlCJXWESXuGwTLwB
4cjbl4oE02sQeEngLQ9SDpiDhCpSnOmtRXAk+1QBBhINMkm+Hzlc6QvmjB8sUwgd
majOEsry2/hutoSJuRPz+JDWZOqaEh8xvLTheN7I12oMPALfUldKexZLP0zqtGyt
VYJFjmIkIsy2x7U+AzqUw35OP6nky6YONZq+X7+6kNcLOO2et4x0pXLDzi2hGXk5
TaM2u9SHIhQKv6NlaCy7
=wYAk
-----END PGP SIGNATURE-----





Reply sent to Kel Modderman <kel@otaku42.de>:
You have taken responsibility. (Wed, 09 Mar 2011 14:12:19 GMT) Full text and rfc822 format available.

Notification sent to jidanni@jidanni.org:
Bug acknowledged by developer. (Wed, 09 Mar 2011 14:12:19 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 26 May 2011 07:32:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:32:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.